--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: cookies
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: headers
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: method
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: open_timeout
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: password
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: payload
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: raw_response
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: ssl_ca_file
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: ssl_client_cert
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: ssl_client_key
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: timeout
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: url
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: user
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: verify_ssl
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: decode
- !ruby/object:RI::MethodSummary 
  name: execute
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: "This class is used internally by RestClient to send the request, but you can also access it internally if you'd like to use a method not directly supported by the main API. For example:"
- !ruby/struct:SM::Flow::VERB 
  body: "  RestClient::Request.execute(:method =&gt; :head, :url =&gt; 'http://example.com')\n"
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: Redirect
  value: RestClient::Redirect
- !ruby/object:RI::Constant 
  comment: 
  name: Unauthorized
  value: RestClient::Unauthorized
- !ruby/object:RI::Constant 
  comment: 
  name: RequestFailed
  value: RestClient::RequestFailed
full_name: RestClient::Request
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: default_headers
- !ruby/object:RI::MethodSummary 
  name: display_log
- !ruby/object:RI::MethodSummary 
  name: execute
- !ruby/object:RI::MethodSummary 
  name: execute_inner
- !ruby/object:RI::MethodSummary 
  name: fetch_body
- !ruby/object:RI::MethodSummary 
  name: make_headers
- !ruby/object:RI::MethodSummary 
  name: net_http_class
- !ruby/object:RI::MethodSummary 
  name: net_http_request_class
- !ruby/object:RI::MethodSummary 
  name: parse_url
- !ruby/object:RI::MethodSummary 
  name: parse_url_with_auth
- !ruby/object:RI::MethodSummary 
  name: process_payload
- !ruby/object:RI::MethodSummary 
  name: process_result
- !ruby/object:RI::MethodSummary 
  name: request_log
- !ruby/object:RI::MethodSummary 
  name: response_log
- !ruby/object:RI::MethodSummary 
  name: setup_credentials
- !ruby/object:RI::MethodSummary 
  name: transmit
name: Request
superclass: Object
